using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TryParseExemple
{
    class Program
    {
        static void Main(string[] args)
        {

            do
            {
                string str = Console.ReadLine();
                float floatValue;
                bool parseSuccess = float.TryParse(str, out floatValue);
                if (parseSuccess)
                    Console.WriteLine(floatValue + "au carre=" + floatValue*floatValue);
                else
                    Console.WriteLine("probleme de conversion");
            } while (Console.ReadKey().KeyChar != 'q'); // q poour quitter

        }
    }
}
